- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::Valid Class Referenceabstract

A trivial mix-in interface containing a valid() method. More...

`#include <gvalid.h>`

Inheritance diagram for GAuth::Valid:

## Public Member Functions
virtual bool | valid () const =0
| Returns true if a valid source of information. More...
virtual | ~Valid ()
| Destructor. More...

## Detailed Description

A trivial mix-in interface containing a valid() method.

Definition at line 35 of file gvalid.h.

## Constructor & Destructor Documentation

GAuth::Valid::~Valid | ( |  | ) |
| virtual

Destructor.

Definition at line 25 of file gvalid.cpp.

## Member Function Documentation

virtual bool GAuth::Valid::valid | ( |  | ) | const
| pure virtual

Returns true if a valid source of information.

Implemented in GAuth::Secrets, and GPop::Secrets.

The documentation for this class was generated from the following files:

- gvalid.h
- gvalid.cpp